<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Dozent\HonorarAbnahme\HonorarBelege;

class HonorarBelegeDownloadController extends \Kufer\Web\KuferTools\Basis\Controller\ToolController
{
  
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new HonorarBelegeDownloadUseCase($this->getRequestObj());
  }

  
  protected function getRequestObj()
  {
    $result = new HonorarBelegeDownloadRequest();
    $result->id = \GetOperations::getVarValue('id');
    $result->lfdnr = \GetOperations::getVarValue('lfdnr');

    return $this->handleXsrf($result, $this->getActionVal(), $result->lfdnr);
  }

  
  protected function getPresenter($pUseCaseResponse)
  {
    return new HonorarBelegeDownloadPresenter($pUseCaseResponse);
  }
}